import React, { RefObject } from 'react';
import type { ToolbarBaseProps } from '../../../toolbar';
export declare type ToolbarLinkPopupProps = Omit<ToolbarBaseProps<never>, 'editor'> & {
    onSubmit(url: string, text: string): void;
    formInitialText?: string;
    formReadOnlyText?: boolean;
    hide: () => void;
    anchorRef: RefObject<HTMLElement>;
};
export declare const ToolbarLinkPopup: React.FC<ToolbarLinkPopupProps>;
